%define kdeprefix /usr
%define version 0.3.0
%define kderelease 1

%define qtver  qt >= 1.42

%define kdename  kdbg
Name: %{kdename}
Summary: KDbg - KDE graphical debugger
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: %{kdename}-%{version}.tar.gz
License: GPL
URL: http://members.telecom.at/~johsixt/kdbg.html
Group: Development/Debuggers
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: %{qtver} kdesupport gdb
Prefix: %{kdeprefix}

%description
KDbg (KDE Debugger) is a graphical debugging tool.  While it uses
gdb at its core, it can do much more than gdb.  It has support for
displaying structures and classes in a visual and interactive manner.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
export KDEDIR=%{kdeprefix}
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0







